Subject: Re: Updated Tcl Tk and Tix
From: "S. L." <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Mon, 10 Jun 2002 09:36:44 +0200 (MEST)

[...]
> > 3)The big question: right now (and in the future) the cygwin tk/tcl
> build
> > will be mingw-ish (native windowing, not X windowing). Red Hat won't
> want
> > to force its GNUpro customers to use a Xserver just to run gdb.  So,
> what
> > *we* -- the net users -- really want is TWO tk/tcl's:  one that uses
> > mingw/w32api, and another one that uses posix api/paths and whose tk
> uses
> > X11R6.
> 
> There's probably just a handful of people using the XFree version of Tk
> under Cygwin, and that's one of the reasons I never bothered to add it
> to the configuration. I did do that a long time ago when I needed it for
> the just the reason you mention. If you want to try this, here's a
> starting point: Use --with-x when configuring; cd into the Unix directory
> when you see --with-x specified, and build everything without -mwin32.
> There needs to be a few other tweaks, but that's really the big part of
> it. In a sense, we use the two Cygwin "personalities" -- a POSIX layer
> with X11, and a POSIX layer with Windows GDI.
[...]

I cannot keep from replying.
While Mumit, "silently" just states the POSIX as a de facto relation with
"his" (SIC! :) tcl/tk, ignoring any diversion, in Nicholas' message there is
still confusion. This confusion is motivated by the actual state of tcl/tk
distributed with cygwin. Which is a mingw application.
So, for the cygwin sake I would just point here that the first case Nicholas
presents, i.e. :

"TWO tk/tcl's:  one that uses mingw/w32api,"

it's OT. Given the fact that the nowadays "official" tcl/tk distributed with
cygwin needs quite a lot of hack to be usable from cygwin applications, I
would say that the net users need a tcl/tk that uses cygwin/w32api, a POSIX
layer, _and_ which is "autotools enabled".

SLao

-- 
GMX - Die Kommunikationsplattform im Internet.
http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/